## ros-indigo-rosprofiler 0.1.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rosprofiler)

find_package(catkin REQUIRED)

catkin_python_setup()

catkin_package()

install(PROGRAMS scripts/rosprofiler scripts/rosgrapher
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

if(CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)
  add_rostest(test/test_profiler.test)
  add_rostest(test/test_grapher.test)
endif()

=== debian/changelog ===
ros-indigo-rosprofiler (0.1.2-0trusty) trusty; urgency=high

  * Implements more robust automatic node name creation
  * Handles exceptions in rospy timer
  * Contributors: dan brooks

 -- Dan Brooks <dan@osrfoundation.org>  Thu, 09 Oct 2014 04:00:00 -0000

ros-indigo-rosprofiler (0.1.1-0trusty) trusty; urgency=high

  * Fixes Issue #5
  * Fixes tests
  * Added additional dependencies to package.xml
  * Cleaned up CMakeLists.txt
  * Contributors: William Woodall, dan brooks

 -- Dan Brooks <dan@osrfoundation.org>  Wed, 20 Aug 2014 04:00:00 -0000

ros-indigo-rosprofiler (0.1.0-0trusty) trusty; urgency=high

  * Initial Release
  * Contributors: William Woodall, dan brooks

 -- Dan Brooks <dan@osrfoundation.org>  Mon, 18 Aug 2014 04:00:00 -0000

=== debian/control ===
Source: ros-indigo-rosprofiler
Section: misc
Priority: extra
Maintainer: Dan Brooks <dan@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-rospy-tutorials, ros-indigo-rostest
Homepage: http://wiki.ros.org/rosprofiler
Standards-Version: 3.9.2

Package: ros-indigo-rosprofiler
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-psutil, ros-indigo-ros-statistics-msgs, ros-indigo-ros-topology-msgs, ros-indigo-rosgraph, ros-indigo-rosnode, ros-indigo-rospy
Description: The rosprofiler package provides the rosprofiler and rosgrapher tools. These tools run as nodes publishing their collected information on ros topics. They have been designed to work with the Topic Statistics feature found in ROS Indigo to provide a complete picture of a ROS System.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-rosprofiler//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
